| Kea 3.0.2-git

user_data_source.h File Reference

Defines the base class, UserDataSource. More...

`#include <exceptions/exceptions.h>`
`#include <user.h>`
Include dependency graph for user_data_source.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | user_chk::UserDataSource
| Defines an interface for reading user data into a registry. More...
class | user_chk::UserDataSourceError
| Thrown if UserDataSource encounters an error. More...

## Namespaces
namespace | user_chk
| Defines the logger used by the user check hooks library.

## Typedefs
typedef boost::shared_ptr< UserDataSource > | user_chk::UserDataSourcePtr
| Defines a smart pointer to a UserDataSource.

## Detailed Description

Defines the base class, UserDataSource.

Definition in file user_data_source.h.